# -*- coding: utf-8 -*-

import logging
from logging.handlers import TimedRotatingFileHandler
#from timed_ompressed_rotating_file_handler import TimedCompressedRotatingFileHandler 

def get_logger(name):

    logger_file_name = '/var/log/amc/' + str(name) + '.log'
    formatter = logging.Formatter('\n%(asctime)s: %(message)s', datefmt='%Y-%m-%d %H:%M:%S')
    logger = logging.getLogger(name)
    logger.setLevel(logging.DEBUG)
    if logger.handlers:
        logger.handlers = []
    #fh = logging.FileHandler(logger_file_name)
    #fh = logging.handlers.RotatingFileHandler(logger_file_name, maxBytes=5000000, backupCount=2)
    #fh = TimedCompressedRotatingFileHandler(logger_file_name, when="midnight", backupCount=2)
    fh = TimedRotatingFileHandler(logger_file_name)
    fh.setFormatter(formatter)
    logger.addHandler(fh)

    return logger